import os

from celery import Celery

from evibes.celery_serializers import register_orjson

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "evibes.settings")

app = Celery("evibes")

register_orjson()

app.config_from_object("django.conf:settings", namespace="CELERY")

app.autodiscover_tasks()
